Linux IPv6 HOWTO (en)
Prev | Chapter 7. Configuring normal IPv6 routes | Next

# 7.3. Removing an IPv6 route through a gateway

Not so often needed manually, mostly done by network configure scripts on shutdown (full or per interface)

## 7.3.1. Using "ip"

Usage:

    # /sbin/ip -6 route del <ipv6network>/<prefixlength> via <ipv6address>
    ¬ [dev <device>]

Example:

    # /sbin/ip -6 route del 2000::/3 via 2001:0db8:0:f101::1

## 7.3.2. Using "route"

Usage:

    # /sbin/route -A inet6 del <network>/<prefixlength> gw <ipv6address> [dev <device>]

Example for removing upper added route again:

    # /sbin/route -A inet6 del 2000::/3 gw 2001:0db8:0:f101::1

Prev | Home | Next
Add an IPv6 route through a gateway | Up | Add an IPv6 route through an interface